%define upstream_name    String-Perl-Warnings
%define upstream_version 1.16

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Determine if a string looks like a perl warning
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/String/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.420.0
BuildRequires: perl(Regexp::Assemble) >= 0.340.0
BuildRequires: perl(Test::More) >= 0.470.0
BuildArch:  noarch

%description
String::Perl::Warnings can be used to determine if a string of arbitary
text appears to look like a warning generated by perl.

It includes all warnings for every stable perl release from '5.6.0' to
'5.12.0'.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes LICENSE META.yml README examples
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Wed Feb 12 2020 umeabot <umeabot> 1.160.0-5.mga8
+ Revision: 1497215
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 1.160.0-4.mga7
+ Revision: 1271235
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 1.160.0-3.mga6
+ Revision: 1033377
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 1.160.0-2.mga6
+ Revision: 966893
- Mageia 6 Mass Rebuild

* Sun Jun 28 2015 sander85 <sander85> 1.160.0-1.mga6
+ Revision: 847016
- update to 1.16

* Sun Oct 19 2014 umeabot <umeabot> 1.120.0-5.mga5
+ Revision: 790125
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 1.120.0-4.mga5
+ Revision: 740361
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.120.0-3.mga5
+ Revision: 686247
- Mageia 5 Mass Rebuild

* Mon Oct 21 2013 umeabot <umeabot> 1.120.0-2.mga4
+ Revision: 538445
- Mageia 4 Mass Rebuild

* Mon Sep 30 2013 sander85 <sander85> 1.120.0-1.mga4
+ Revision: 489667
- update to 1.12

* Sun Sep 29 2013 sander85 <sander85> 1.100.0-1.mga4
+ Revision: 489370
- update to 1.10

* Sat Sep 28 2013 sander85 <sander85> 1.80.0-1.mga4
+ Revision: 488509
- update to 1.08

* Sun Jan 13 2013 umeabot <umeabot> 1.60.0-2.mga3
+ Revision: 372810
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jun 17 2011 jquelin <jquelin> 1.60.0-1.mga2
+ Revision: 109156
- update to 1.06

* Tue Jan 18 2011 jquelin <jquelin> 1.40.0-1.mga1
+ Revision: 23376
- cleaning spec file
- imported package perl-String-Perl-Warnings


* Sat Dec 25 2010 Shlomi Fish <shlomif@mandriva.org> 1.40.0-1mdv2011.0
+ Revision: 624963
- import perl-String-Perl-Warnings

